aboutsummaryrefslogtreecommitdiff
path: root/x11/e17/Eterm/Eterm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'x11/e17/Eterm/Eterm.SlackBuild')
-rwxr-xr-xx11/e17/Eterm/Eterm.SlackBuild120
1 files changed, 120 insertions, 0 deletions
diff --git a/x11/e17/Eterm/Eterm.SlackBuild b/x11/e17/Eterm/Eterm.SlackBuild
new file mode 100755
index 00000000..cbb2725f
--- /dev/null
+++ b/x11/e17/Eterm/Eterm.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for Eterm
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building Eterm are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="Eterm"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/eterm"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/eterm/Eterm" ]; then
+ cd $SRC_DIR/eterm/Eterm
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co eterm/Eterm || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/eterm/Eterm
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+Eterm: Eterm (An X11 VT102 emulator with Enlightenment features)
+Eterm:
+Eterm: Eterm is a vt102 terminal emulator intended as a replacement for
+Eterm: xterm. It is designed with a Freedom of Choice philosophy, leaving as
+Eterm: much power, flexibility, and freedom as possible in the hands of the
+Eterm: user. It is designed to look good and work well, but takes a
+Eterm: feature-rich approach rather than one of minimalism. Current features
+Eterm: include color support, background images (all Imlib-supported formats),
+Eterm: theme support, and pseudo-transparency.
+Eterm:
+Eterm:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO LICENSE"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+